Index: client_app/src/components/data/components/company_internships.js
===================================================================
--- client_app/src/components/data/components/company_internships.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Internships from "./item_components/internship_component";
-
-
-const CompanyInternships = (props) =>{
-    if(props.userProfile.type==="COMPANY"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/internships/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.internships.map(item =>{
-                        return <Internships
-                            name={item.name}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsTrained}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default CompanyInternships;
Index: client_app/src/components/data/components/company_jobs.js
===================================================================
--- client_app/src/components/data/components/company_jobs.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Jobs from '../components/item_components/job_component';
-
-
-const CompanyJobs = (props) =>{
-    if(props.userProfile.type==="COMPANY"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/job/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            name={item.name}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default CompanyJobs;
Index: client_app/src/components/data/components/team_jobs.js
===================================================================
--- client_app/src/components/data/components/team_jobs.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Jobs from '../components/item_components/job_component';
-
-
-const TeamJobs = (props) =>{
-    if(props.userProfile.type==="TEAM"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/job/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            name={item.name}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default TeamJobs;
Index: client_app/src/components/data/components/team_projects.js
===================================================================
--- client_app/src/components/data/components/team_projects.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Projects from "./item_components/project_component";
-
-
-const TeamProjects = (props) =>{
-    if(props.userProfile.type==="TEAM"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/project/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.projects.map(item =>{
-                        return <Projects
-                            name={item.name}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default TeamProjects;
Index: client_app/src/components/data/components/user_internships.js
===================================================================
--- client_app/src/components/data/components/user_internships.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,32 +1,0 @@
-import {Container} from "semantic-ui-react";
-import {Redirect} from "react-router-dom";
-import React from "react";
-import Internships from "./item_components/internship_component";
-
-const UserInternships = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container>
-                <h1>Internships for you!</h1>
-                {props.userProfile.internships.map(item =>{
-                    return <Internships
-                        title={item.title}
-                        description={item.description}
-                        accountName={item.accountName}
-                        accountEmail={item.accountEmail}
-                        skills={item.skillsTrained}
-                        type={props.userProfile.type}
-                    />})
-                }
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default UserInternships;
Index: client_app/src/components/data/components/user_jobs.js
===================================================================
--- client_app/src/components/data/components/user_jobs.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,33 +1,0 @@
-import React from 'react';
-import { Redirect } from 'react-router-dom';
-import { Container, Card } from 'semantic-ui-react';
-import Jobs from '../components/item_components/job_component';
-
-
-const UserJobs = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <h1>Jobs for you!</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-      <Redirect to={"/login"}/>
-    );
-}
-
-export default UserJobs;
Index: client_app/src/components/data/components/user_projects.js
===================================================================
--- client_app/src/components/data/components/user_projects.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ 	(revision )
@@ -1,32 +1,0 @@
-import {Card, Container} from "semantic-ui-react";
-import {Redirect} from "react-router-dom";
-import React from "react";
-import Projects from "./item_components/project_component";
-
-const UserProjects = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container>
-                    <h1>Projects for you!</h1>
-                    {props.userProfile.projects.map(item =>{
-                        return <Projects
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />})
-                    }
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default UserProjects;
Index: client_app/src/components/data/components/work/company_internships.js
===================================================================
--- client_app/src/components/data/components/work/company_internships.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/company_internships.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Internships from "../item_components/internship_component";
+
+
+const CompanyInternships = (props) =>{
+    if(props.userProfile.type==="COMPANY"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/internships/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.internships.map(item =>{
+                        return <Internships
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsTrained}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default CompanyInternships;
Index: client_app/src/components/data/components/work/company_jobs.js
===================================================================
--- client_app/src/components/data/components/work/company_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/company_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const CompanyJobs = (props) =>{
+    if(props.userProfile.type==="COMPANY"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/job/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default CompanyJobs;
Index: client_app/src/components/data/components/work/team_jobs.js
===================================================================
--- client_app/src/components/data/components/work/team_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/team_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const TeamJobs = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/job/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamJobs;
Index: client_app/src/components/data/components/work/team_projects.js
===================================================================
--- client_app/src/components/data/components/work/team_projects.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/team_projects.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Projects from "../item_components/project_component";
+
+
+const TeamProjects = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/project/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.projects.map(item =>{
+                        return <Projects
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamProjects;
Index: client_app/src/components/data/components/work/user_internships.js
===================================================================
--- client_app/src/components/data/components/work/user_internships.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/user_internships.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,32 @@
+import {Container} from "semantic-ui-react";
+import {Redirect} from "react-router-dom";
+import React from "react";
+import Internships from "../item_components/internship_component";
+
+const UserInternships = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container>
+                <h1>Internships for you!</h1>
+                {props.userProfile.internships.map(item =>{
+                    return <Internships
+                        title={item.title}
+                        description={item.description}
+                        accountName={item.accountName}
+                        accountEmail={item.accountEmail}
+                        skills={item.skillsTrained}
+                        type={props.userProfile.type}
+                    />})
+                }
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default UserInternships;
Index: client_app/src/components/data/components/work/user_jobs.js
===================================================================
--- client_app/src/components/data/components/work/user_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/user_jobs.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,33 @@
+import React from 'react';
+import { Redirect } from 'react-router-dom';
+import { Container, Card } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const UserJobs = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <h1>Jobs for you!</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+      <Redirect to={"/login"}/>
+    );
+}
+
+export default UserJobs;
Index: client_app/src/components/data/components/work/user_projects.js
===================================================================
--- client_app/src/components/data/components/work/user_projects.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
+++ client_app/src/components/data/components/work/user_projects.js	(revision b5a3a106eaa4edd313e223623a190bd2c9e32ac3)
@@ -0,0 +1,32 @@
+import {Card, Container} from "semantic-ui-react";
+import {Redirect} from "react-router-dom";
+import React from "react";
+import Projects from "../item_components/project_component";
+
+const UserProjects = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container>
+                    <h1>Projects for you!</h1>
+                    {props.userProfile.projects.map(item =>{
+                        return <Projects
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />})
+                    }
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default UserProjects;
